Page MenuHomeFreeBSD

D34640.diff
No OneTemporary

D34640.diff

diff --git a/usr.sbin/bsdinstall/scripts/services b/usr.sbin/bsdinstall/scripts/services
--- a/usr.sbin/bsdinstall/scripts/services
+++ b/usr.sbin/bsdinstall/scripts/services
@@ -26,7 +26,7 @@
#
# $FreeBSD$
-: ${DIALOG_OK=0}
+: ${BSDDIALOG_OK=0}
if [ -f $BSDINSTALL_TMPETC/rc.conf.services ]; then
eval $( sed -e s/YES/on/i -e s/NO/off/i \
@@ -39,8 +39,8 @@
echo -n > $BSDINSTALL_TMPETC/rc.conf.services
exec 3>&1
-DAEMONS=$( dialog --backtitle "FreeBSD Installer" \
- --title "System Configuration" --nocancel --separate-output \
+DAEMONS=$( bsddialog --backtitle "FreeBSD Installer" \
+ --title "System Configuration" --no-cancel --separate-output \
--checklist "Choose the services you would like to be started at boot:" \
0 0 0 \
local_unbound "Local caching validating resolver" ${local_unbound:-off} \
@@ -53,8 +53,13 @@
${powerd_enable:-off} \
dumpdev "Enable kernel crash dumps to /var/crash" ${dumpdev:-on} \
2>&1 1>&3 )
+retval=$?
exec 3>&-
+if [ $retval -ne $BSDDIALOG_OK ]; then
+ exit 1
+fi
+
havedump=
for daemon in $DAEMONS; do
[ "$daemon" = "dumpdev" ] && havedump=1 continue

File Metadata

Mime Type
text/plain
Expires
Wed, Dec 18, 6:39 AM (22 h, 1 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
15480052
Default Alt Text
D34640.diff (1 KB)

Event Timeline